<?php
include ("app/modelo/inicioModelo.php");
$inicio = new Inicio();

if(!isset($_SESSION['id_comercio']) and empty($_SESSION['id_comercio'])){
	if(isset($_COOKIE['id_comercio'])){
$_SESSION['id_comercio']=$_COOKIE['id_comercio'];
	}
}

 


if(isset($_POST["procesar_valida_cupon"]) and $_POST["procesar_valida_cupon"]=="ok"){
$inicio->procesar_valida_cupon();
}

if (!isset($_SESSION['id_cp']) or  empty($_SESSION['id_cp'])) {
  header("Location:" . ruta . '?pagina=login&codigo=' . $_GET['codigo']);
} else {


$valida_cupon=$inicio->valida_cupon($_GET['codigo']);

$m_ventas_producto_codigo=$inicio->mostrar_ventas_producto_codigo($_GET['codigo']);

 
 


require_once("app/vista/valida_cupon.phtml");
    

} 

?>